PROGRAM SIMPLE
      INTEGER I, IER, PGBEG
	character a;
      REAL XR(100), YR(100)
      REAL XS(5), YS(5)
      DATA XS/2.,7.,9.,4.,5./
      DATA YS/3.,3.,8.,8.,25./
      IER = PGBEG(0,'/xwin',1,1)
      IF (IER.NE.1) STOP
      CALL PGENV(0.,10.,0.,20.,0,1)

	call pgsfs(1);call pgtext(4,10,'this is solid-fill');
	call pgpoly(4,xs,ys)
	call pgpage
	call pgsfs(2);call pgtext(4,10,'this is outline-fill');
	call pgpoly(4,xs,ys)
	call pgpage
	call pgsfs(3);call pgtext(4,10,'this is hatched-fill');
	call pgpoly(4,xs,ys)
	call pgpage
	call pgsfs(4);call pgtext(4,10,'this is cross-hatched-fill');
	call pgpoly(4,xs,ys)

      CALL PGEND
      END
